function [ok] = testMovForUsability(mov)
    % 1) Max speed
    % 2) Max turnPoints 
    % 3) Min tot angle begge kanaler 
    
    maxSpeedLimt = 0.25;
    maxTPlimit = 1;
    minTotAngLim = [0.5 0.5];
    
    ok = 1;
    
    maxSpeed = movMetrixMaxSpeed(mov);
    if maxSpeed > maxSpeedLimt
        ok = 0;
    end
    
    maxTP = movMetrixNoTurn(mov);
    if maxTP > maxTPlimit
        ok = 0;
    end  
    
    minAng = movMetrixTotAng(mov);
    if any(minAng <= minTotAngLim)
        ok = 0;
    end      
    
end