function [ok] = movMetrixNeigSteepOk(mov)
    % Naboer skal ikke avvike mer enn +/- 0.25 i val
    % Circulært
    
    noB = size(mov, 1);
    
    ok = 1;
    valOld1 = mov(noB, 2); % siste for å få ring
    valOld2 = mov(noB, 3);
    
    for b = 1 : noB
        val1 = mov(b, 2);
        val2 = mov(b, 3);
        if val1 > valOld1 + 0.25 || val1 < valOld1 - 0.25
            ok = 0;
        end
        if val2 > valOld2 + 0.25 || val2 < valOld2 - 0.25
            ok = 0;
        end
        
        valOld1 = val1;
        valOld2 = val2;
    end
    
end